## javax.ws.rs.core
Interface PathSegment

    public interface PathSegment

Represents a URI path segment and any associated matrix parameters. When an instance of this type is injected with `PathParam`, the value of the annotation identifies which path segment is selected and the presence of an `Encoded` annotation will result in an instance that supplies the path and matrix parameter values in URI encoded form.

See Also:
  `UriInfo.getPathSegments()`, `PathParam`

Method Summary
`MultivaluedMap<java.lang.String,java.lang.String>` | `getMatrixParameters()` Get a map of the matrix parameters associated with the path segment.
`java.lang.String` | `getPath()` Get the path segment.

Method Detail

### getPath

    java.lang.String getPath()

  Get the path segment.

  Returns:
    the path segment

### getMatrixParameters

    MultivaluedMap<java.lang.String,java.lang.String> getMatrixParameters()

  Get a map of the matrix parameters associated with the path segment. The map keys are the names of the matrix parameters with any percent-escaped octets decoded.

  Returns:
    the map of matrix parameters
  See Also:
    Matrix URIs

Copyright © 2017 Oracle Corporation. All Rights Reserved.